import sys


class TracebacklessException(Exception):
    def __init__(self, msg):
        self.args = f"{type(self).__name__}: {msg}",  # comma makes this a tuple (magic)
        sys.exit(self)


class ExceptionalTimeoutError(TimeoutError):
    def __init__(self, msg, last_exception: Exception):
        super().__init__(msg)
        self.msg = msg
        self.last_exception = last_exception

    def __str__(self):
        return f"{self.last_exception}\n->{self.msg}"


class CombatConfigParserError(Exception):
    def __init__(self, msg):
        super().__init__(msg)
